Package org.apache.avro.idl

# Interface IdlListener

All Superinterfaces:
  `org.antlr.v4.runtime.tree.ParseTreeListener`

All Known Implementing Classes:
  `IdlBaseListener`

public interface IdlListener extends org.antlr.v4.runtime.tree.ParseTreeListener
This interface defines a complete listener for a parse tree produced by `IdlParser`.

## Method Summary

Modifier and Type
Method
Description
`void`
`enterArrayType(IdlParser.ArrayTypeContext ctx)`
Enter a parse tree produced by `IdlParser.arrayType()`.
`void`
`enterEnumDeclaration(IdlParser.EnumDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.enumDeclaration()`.
`void`
`enterEnumDefault(IdlParser.EnumDefaultContext ctx)`
Enter a parse tree produced by `IdlParser.enumDefault()`.
`void`
`enterEnumSymbol(IdlParser.EnumSymbolContext ctx)`
Enter a parse tree produced by `IdlParser.enumSymbol()`.
`void`
`enterFieldDeclaration(IdlParser.FieldDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.fieldDeclaration()`.
`void`
`enterFixedDeclaration(IdlParser.FixedDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.fixedDeclaration()`.
`void`
`enterFormalParameter(IdlParser.FormalParameterContext ctx)`
Enter a parse tree produced by `IdlParser.formalParameter()`.
`void`
`enterFullType(IdlParser.FullTypeContext ctx)`
Enter a parse tree produced by `IdlParser.fullType()`.
`void`
`enterIdentifier(IdlParser.IdentifierContext ctx)`
Enter a parse tree produced by `IdlParser.identifier()`.
`void`
`enterIdlFile(IdlParser.IdlFileContext ctx)`
Enter a parse tree produced by `IdlParser.idlFile()`.
`void`
`enterImportStatement(IdlParser.ImportStatementContext ctx)`
Enter a parse tree produced by `IdlParser.importStatement()`.
`void`
`enterJsonArray(IdlParser.JsonArrayContext ctx)`
Enter a parse tree produced by `IdlParser.jsonArray()`.
`void`
`enterJsonLiteral(IdlParser.JsonLiteralContext ctx)`
Enter a parse tree produced by `IdlParser.jsonLiteral()`.
`void`
`enterJsonObject(IdlParser.JsonObjectContext ctx)`
Enter a parse tree produced by `IdlParser.jsonObject()`.
`void`
`enterJsonPair(IdlParser.JsonPairContext ctx)`
Enter a parse tree produced by `IdlParser.jsonPair()`.
`void`
`enterJsonValue(IdlParser.JsonValueContext ctx)`
Enter a parse tree produced by `IdlParser.jsonValue()`.
`void`
`enterMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.mainSchemaDeclaration()`.
`void`
`enterMapType(IdlParser.MapTypeContext ctx)`
Enter a parse tree produced by `IdlParser.mapType()`.
`void`
`enterMessageDeclaration(IdlParser.MessageDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.messageDeclaration()`.
`void`
`enterNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.namedSchemaDeclaration()`.
`void`
`enterNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.namespaceDeclaration()`.
`void`
`enterNullableType(IdlParser.NullableTypeContext ctx)`
Enter a parse tree produced by `IdlParser.nullableType()`.
`void`
`enterPlainType(IdlParser.PlainTypeContext ctx)`
Enter a parse tree produced by `IdlParser.plainType()`.
`void`
`enterPrimitiveType(IdlParser.PrimitiveTypeContext ctx)`
Enter a parse tree produced by `IdlParser.primitiveType()`.
`void`
`enterProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.protocolDeclaration()`.
`void`
`enterProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)`
Enter a parse tree produced by `IdlParser.protocolDeclarationBody()`.
`void`
`enterRecordBody(IdlParser.RecordBodyContext ctx)`
Enter a parse tree produced by `IdlParser.recordBody()`.
`void`
`enterRecordDeclaration(IdlParser.RecordDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.recordDeclaration()`.
`void`
`enterResultType(IdlParser.ResultTypeContext ctx)`
Enter a parse tree produced by `IdlParser.resultType()`.
`void`
`enterSchemaProperty(IdlParser.SchemaPropertyContext ctx)`
Enter a parse tree produced by `IdlParser.schemaProperty()`.
`void`
`enterUnionType(IdlParser.UnionTypeContext ctx)`
Enter a parse tree produced by `IdlParser.unionType()`.
`void`
`enterVariableDeclaration(IdlParser.VariableDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.variableDeclaration()`.
`void`
`exitArrayType(IdlParser.ArrayTypeContext ctx)`
Exit a parse tree produced by `IdlParser.arrayType()`.
`void`
`exitEnumDeclaration(IdlParser.EnumDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.enumDeclaration()`.
`void`
`exitEnumDefault(IdlParser.EnumDefaultContext ctx)`
Exit a parse tree produced by `IdlParser.enumDefault()`.
`void`
`exitEnumSymbol(IdlParser.EnumSymbolContext ctx)`
Exit a parse tree produced by `IdlParser.enumSymbol()`.
`void`
`exitFieldDeclaration(IdlParser.FieldDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.fieldDeclaration()`.
`void`
`exitFixedDeclaration(IdlParser.FixedDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.fixedDeclaration()`.
`void`
`exitFormalParameter(IdlParser.FormalParameterContext ctx)`
Exit a parse tree produced by `IdlParser.formalParameter()`.
`void`
`exitFullType(IdlParser.FullTypeContext ctx)`
Exit a parse tree produced by `IdlParser.fullType()`.
`void`
`exitIdentifier(IdlParser.IdentifierContext ctx)`
Exit a parse tree produced by `IdlParser.identifier()`.
`void`
`exitIdlFile(IdlParser.IdlFileContext ctx)`
Exit a parse tree produced by `IdlParser.idlFile()`.
`void`
`exitImportStatement(IdlParser.ImportStatementContext ctx)`
Exit a parse tree produced by `IdlParser.importStatement()`.
`void`
`exitJsonArray(IdlParser.JsonArrayContext ctx)`
Exit a parse tree produced by `IdlParser.jsonArray()`.
`void`
`exitJsonLiteral(IdlParser.JsonLiteralContext ctx)`
Exit a parse tree produced by `IdlParser.jsonLiteral()`.
`void`
`exitJsonObject(IdlParser.JsonObjectContext ctx)`
Exit a parse tree produced by `IdlParser.jsonObject()`.
`void`
`exitJsonPair(IdlParser.JsonPairContext ctx)`
Exit a parse tree produced by `IdlParser.jsonPair()`.
`void`
`exitJsonValue(IdlParser.JsonValueContext ctx)`
Exit a parse tree produced by `IdlParser.jsonValue()`.
`void`
`exitMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.mainSchemaDeclaration()`.
`void`
`exitMapType(IdlParser.MapTypeContext ctx)`
Exit a parse tree produced by `IdlParser.mapType()`.
`void`
`exitMessageDeclaration(IdlParser.MessageDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.messageDeclaration()`.
`void`
`exitNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.namedSchemaDeclaration()`.
`void`
`exitNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.namespaceDeclaration()`.
`void`
`exitNullableType(IdlParser.NullableTypeContext ctx)`
Exit a parse tree produced by `IdlParser.nullableType()`.
`void`
`exitPlainType(IdlParser.PlainTypeContext ctx)`
Exit a parse tree produced by `IdlParser.plainType()`.
`void`
`exitPrimitiveType(IdlParser.PrimitiveTypeContext ctx)`
Exit a parse tree produced by `IdlParser.primitiveType()`.
`void`
`exitProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.protocolDeclaration()`.
`void`
`exitProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)`
Exit a parse tree produced by `IdlParser.protocolDeclarationBody()`.
`void`
`exitRecordBody(IdlParser.RecordBodyContext ctx)`
Exit a parse tree produced by `IdlParser.recordBody()`.
`void`
`exitRecordDeclaration(IdlParser.RecordDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.recordDeclaration()`.
`void`
`exitResultType(IdlParser.ResultTypeContext ctx)`
Exit a parse tree produced by `IdlParser.resultType()`.
`void`
`exitSchemaProperty(IdlParser.SchemaPropertyContext ctx)`
Exit a parse tree produced by `IdlParser.schemaProperty()`.
`void`
`exitUnionType(IdlParser.UnionTypeContext ctx)`
Exit a parse tree produced by `IdlParser.unionType()`.
`void`
`exitVariableDeclaration(IdlParser.VariableDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.variableDeclaration()`.

### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeListener

`enterEveryRule, exitEveryRule, visitErrorNode, visitTerminal`

## Method Details

### enterIdlFile

void enterIdlFile(IdlParser.IdlFileContext ctx)
Enter a parse tree produced by `IdlParser.idlFile()`.

Parameters:
  `ctx` - the parse tree

### exitIdlFile

void exitIdlFile(IdlParser.IdlFileContext ctx)
Exit a parse tree produced by `IdlParser.idlFile()`.

Parameters:
  `ctx` - the parse tree

### enterProtocolDeclaration

void enterProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.protocolDeclaration()`.

Parameters:
  `ctx` - the parse tree

### exitProtocolDeclaration

void exitProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.protocolDeclaration()`.

Parameters:
  `ctx` - the parse tree

### enterProtocolDeclarationBody

void enterProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)
Enter a parse tree produced by `IdlParser.protocolDeclarationBody()`.

Parameters:
  `ctx` - the parse tree

### exitProtocolDeclarationBody

void exitProtocolDeclarationBody(IdlParser.ProtocolDeclarationBodyContext ctx)
Exit a parse tree produced by `IdlParser.protocolDeclarationBody()`.

Parameters:
  `ctx` - the parse tree

### enterNamespaceDeclaration

void enterNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.namespaceDeclaration()`.

Parameters:
  `ctx` - the parse tree

### exitNamespaceDeclaration

void exitNamespaceDeclaration(IdlParser.NamespaceDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.namespaceDeclaration()`.

Parameters:
  `ctx` - the parse tree

### enterMainSchemaDeclaration

void enterMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.mainSchemaDeclaration()`.

Parameters:
  `ctx` - the parse tree

### exitMainSchemaDeclaration

void exitMainSchemaDeclaration(IdlParser.MainSchemaDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.mainSchemaDeclaration()`.

Parameters:
  `ctx` - the parse tree

### enterIdentifier

void enterIdentifier(IdlParser.IdentifierContext ctx)
Enter a parse tree produced by `IdlParser.identifier()`.

Parameters:
  `ctx` - the parse tree

### exitIdentifier

void exitIdentifier(IdlParser.IdentifierContext ctx)
Exit a parse tree produced by `IdlParser.identifier()`.

Parameters:
  `ctx` - the parse tree

### enterSchemaProperty

void enterSchemaProperty(IdlParser.SchemaPropertyContext ctx)
Enter a parse tree produced by `IdlParser.schemaProperty()`.

Parameters:
  `ctx` - the parse tree

### exitSchemaProperty

void exitSchemaProperty(IdlParser.SchemaPropertyContext ctx)
Exit a parse tree produced by `IdlParser.schemaProperty()`.

Parameters:
  `ctx` - the parse tree

### enterImportStatement

void enterImportStatement(IdlParser.ImportStatementContext ctx)
Enter a parse tree produced by `IdlParser.importStatement()`.

Parameters:
  `ctx` - the parse tree

### exitImportStatement

void exitImportStatement(IdlParser.ImportStatementContext ctx)
Exit a parse tree produced by `IdlParser.importStatement()`.

Parameters:
  `ctx` - the parse tree

### enterNamedSchemaDeclaration

void enterNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.namedSchemaDeclaration()`.

Parameters:
  `ctx` - the parse tree

### exitNamedSchemaDeclaration

void exitNamedSchemaDeclaration(IdlParser.NamedSchemaDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.namedSchemaDeclaration()`.

Parameters:
  `ctx` - the parse tree

### enterFixedDeclaration

void enterFixedDeclaration(IdlParser.FixedDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.fixedDeclaration()`.

Parameters:
  `ctx` - the parse tree

### exitFixedDeclaration

void exitFixedDeclaration(IdlParser.FixedDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.fixedDeclaration()`.

Parameters:
  `ctx` - the parse tree

### enterEnumDeclaration

void enterEnumDeclaration(IdlParser.EnumDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.enumDeclaration()`.

Parameters:
  `ctx` - the parse tree

### exitEnumDeclaration

void exitEnumDeclaration(IdlParser.EnumDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.enumDeclaration()`.

Parameters:
  `ctx` - the parse tree

### enterEnumSymbol

void enterEnumSymbol(IdlParser.EnumSymbolContext ctx)
Enter a parse tree produced by `IdlParser.enumSymbol()`.

Parameters:
  `ctx` - the parse tree

### exitEnumSymbol

void exitEnumSymbol(IdlParser.EnumSymbolContext ctx)
Exit a parse tree produced by `IdlParser.enumSymbol()`.

Parameters:
  `ctx` - the parse tree

### enterEnumDefault

void enterEnumDefault(IdlParser.EnumDefaultContext ctx)
Enter a parse tree produced by `IdlParser.enumDefault()`.

Parameters:
  `ctx` - the parse tree

### exitEnumDefault

void exitEnumDefault(IdlParser.EnumDefaultContext ctx)
Exit a parse tree produced by `IdlParser.enumDefault()`.

Parameters:
  `ctx` - the parse tree

### enterRecordDeclaration

void enterRecordDeclaration(IdlParser.RecordDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.recordDeclaration()`.

Parameters:
  `ctx` - the parse tree

### exitRecordDeclaration

void exitRecordDeclaration(IdlParser.RecordDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.recordDeclaration()`.

Parameters:
  `ctx` - the parse tree

### enterRecordBody

void enterRecordBody(IdlParser.RecordBodyContext ctx)
Enter a parse tree produced by `IdlParser.recordBody()`.

Parameters:
  `ctx` - the parse tree

### exitRecordBody

void exitRecordBody(IdlParser.RecordBodyContext ctx)
Exit a parse tree produced by `IdlParser.recordBody()`.

Parameters:
  `ctx` - the parse tree

### enterFieldDeclaration

void enterFieldDeclaration(IdlParser.FieldDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.fieldDeclaration()`.

Parameters:
  `ctx` - the parse tree

### exitFieldDeclaration

void exitFieldDeclaration(IdlParser.FieldDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.fieldDeclaration()`.

Parameters:
  `ctx` - the parse tree

### enterVariableDeclaration

void enterVariableDeclaration(IdlParser.VariableDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.variableDeclaration()`.

Parameters:
  `ctx` - the parse tree

### exitVariableDeclaration

void exitVariableDeclaration(IdlParser.VariableDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.variableDeclaration()`.

Parameters:
  `ctx` - the parse tree

### enterMessageDeclaration

void enterMessageDeclaration(IdlParser.MessageDeclarationContext ctx)
Enter a parse tree produced by `IdlParser.messageDeclaration()`.

Parameters:
  `ctx` - the parse tree

### exitMessageDeclaration

void exitMessageDeclaration(IdlParser.MessageDeclarationContext ctx)
Exit a parse tree produced by `IdlParser.messageDeclaration()`.

Parameters:
  `ctx` - the parse tree

### enterFormalParameter

void enterFormalParameter(IdlParser.FormalParameterContext ctx)
Enter a parse tree produced by `IdlParser.formalParameter()`.

Parameters:
  `ctx` - the parse tree

### exitFormalParameter

void exitFormalParameter(IdlParser.FormalParameterContext ctx)
Exit a parse tree produced by `IdlParser.formalParameter()`.

Parameters:
  `ctx` - the parse tree

### enterResultType

void enterResultType(IdlParser.ResultTypeContext ctx)
Enter a parse tree produced by `IdlParser.resultType()`.

Parameters:
  `ctx` - the parse tree

### exitResultType

void exitResultType(IdlParser.ResultTypeContext ctx)
Exit a parse tree produced by `IdlParser.resultType()`.

Parameters:
  `ctx` - the parse tree

### enterFullType

void enterFullType(IdlParser.FullTypeContext ctx)
Enter a parse tree produced by `IdlParser.fullType()`.

Parameters:
  `ctx` - the parse tree

### exitFullType

void exitFullType(IdlParser.FullTypeContext ctx)
Exit a parse tree produced by `IdlParser.fullType()`.

Parameters:
  `ctx` - the parse tree

### enterPlainType

void enterPlainType(IdlParser.PlainTypeContext ctx)
Enter a parse tree produced by `IdlParser.plainType()`.

Parameters:
  `ctx` - the parse tree

### exitPlainType

void exitPlainType(IdlParser.PlainTypeContext ctx)
Exit a parse tree produced by `IdlParser.plainType()`.

Parameters:
  `ctx` - the parse tree

### enterNullableType

void enterNullableType(IdlParser.NullableTypeContext ctx)
Enter a parse tree produced by `IdlParser.nullableType()`.

Parameters:
  `ctx` - the parse tree

### exitNullableType

void exitNullableType(IdlParser.NullableTypeContext ctx)
Exit a parse tree produced by `IdlParser.nullableType()`.

Parameters:
  `ctx` - the parse tree

### enterPrimitiveType

void enterPrimitiveType(IdlParser.PrimitiveTypeContext ctx)
Enter a parse tree produced by `IdlParser.primitiveType()`.

Parameters:
  `ctx` - the parse tree

### exitPrimitiveType

void exitPrimitiveType(IdlParser.PrimitiveTypeContext ctx)
Exit a parse tree produced by `IdlParser.primitiveType()`.

Parameters:
  `ctx` - the parse tree

### enterArrayType

void enterArrayType(IdlParser.ArrayTypeContext ctx)
Enter a parse tree produced by `IdlParser.arrayType()`.

Parameters:
  `ctx` - the parse tree

### exitArrayType

void exitArrayType(IdlParser.ArrayTypeContext ctx)
Exit a parse tree produced by `IdlParser.arrayType()`.

Parameters:
  `ctx` - the parse tree

### enterMapType

void enterMapType(IdlParser.MapTypeContext ctx)
Enter a parse tree produced by `IdlParser.mapType()`.

Parameters:
  `ctx` - the parse tree

### exitMapType

void exitMapType(IdlParser.MapTypeContext ctx)
Exit a parse tree produced by `IdlParser.mapType()`.

Parameters:
  `ctx` - the parse tree

### enterUnionType

void enterUnionType(IdlParser.UnionTypeContext ctx)
Enter a parse tree produced by `IdlParser.unionType()`.

Parameters:
  `ctx` - the parse tree

### exitUnionType

void exitUnionType(IdlParser.UnionTypeContext ctx)
Exit a parse tree produced by `IdlParser.unionType()`.

Parameters:
  `ctx` - the parse tree

### enterJsonValue

void enterJsonValue(IdlParser.JsonValueContext ctx)
Enter a parse tree produced by `IdlParser.jsonValue()`.

Parameters:
  `ctx` - the parse tree

### exitJsonValue

void exitJsonValue(IdlParser.JsonValueContext ctx)
Exit a parse tree produced by `IdlParser.jsonValue()`.

Parameters:
  `ctx` - the parse tree

### enterJsonLiteral

void enterJsonLiteral(IdlParser.JsonLiteralContext ctx)
Enter a parse tree produced by `IdlParser.jsonLiteral()`.

Parameters:
  `ctx` - the parse tree

### exitJsonLiteral

void exitJsonLiteral(IdlParser.JsonLiteralContext ctx)
Exit a parse tree produced by `IdlParser.jsonLiteral()`.

Parameters:
  `ctx` - the parse tree

### enterJsonObject

void enterJsonObject(IdlParser.JsonObjectContext ctx)
Enter a parse tree produced by `IdlParser.jsonObject()`.

Parameters:
  `ctx` - the parse tree

### exitJsonObject

void exitJsonObject(IdlParser.JsonObjectContext ctx)
Exit a parse tree produced by `IdlParser.jsonObject()`.

Parameters:
  `ctx` - the parse tree

### enterJsonPair

void enterJsonPair(IdlParser.JsonPairContext ctx)
Enter a parse tree produced by `IdlParser.jsonPair()`.

Parameters:
  `ctx` - the parse tree

### exitJsonPair

void exitJsonPair(IdlParser.JsonPairContext ctx)
Exit a parse tree produced by `IdlParser.jsonPair()`.

Parameters:
  `ctx` - the parse tree

### enterJsonArray

void enterJsonArray(IdlParser.JsonArrayContext ctx)
Enter a parse tree produced by `IdlParser.jsonArray()`.

Parameters:
  `ctx` - the parse tree

### exitJsonArray

void exitJsonArray(IdlParser.JsonArrayContext ctx)
Exit a parse tree produced by `IdlParser.jsonArray()`.

Parameters:
  `ctx` - the parse tree